# Uses of Package
org.eclipse.mat.query.annotations

Packages that use org.eclipse.mat.query.annotations
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof.acquire
Generator of HPROF dumps from other running processes on the system, just a acquire dumps extension, not an Application Programming Interface (API).
org.eclipse.mat.ibmvm.acquire
Create IBM dumps - this is an internal package not intended as an Application Programming Interface (API) except as an extension.
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.component
These are queries for whole components (class loaders and packages).
org.eclipse.mat.inspections.eclipse
These are queries for debugging Eclipse based applications.
org.eclipse.mat.inspections.finalizer
These are queries for examining objects subject to finalization.
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.jdt
Links class names to the class source in an Eclipse IDE, not an Application Programming Interface (API).
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.annotations
Annotations for Queries.
org.eclipse.mat.query.annotations.descriptors
Package of interfaces for examining annotations of queries and arguments.
org.eclipse.mat.query.registry
Package for getting a list of queries and examining their capabilities and setting them up.
org.eclipse.mat.report.internal
Internal classes for controlling building of reports from XML report definitions (not API).
org.eclipse.mat.ui.internal.acquire
Acquire heap dumps from other running processes - user interface (not API).
org.eclipse.mat.ui.snapshot.actions
Supplementary actions to open a snapshot, copy to clipboard, open icon assist and so on - user interface (not API).

Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.hprof
Class
Description
Argument
Annotates a member variable to be an query argument.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.hprof.acquire
Class
Description
Argument
Annotates a member variable to be an query argument.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.ibmvm.acquire
Class
Description
Argument
Annotates a member variable to be an query argument.
Help
Annotates a help message to the argument and/or query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Name
Annotates the name of the query as displayed in the query menu or query browser.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.inspections
Class
Description
Argument
Annotates a member variable to be an query argument.
Category
Annotates the category to which the query belongs.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Menu
Annotates a query which has multiple menu items for a single query class.
Usage
Annotates a custom usage message.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.inspections.collections
Class
Description
Argument
Annotates a member variable to be an query argument.
CommandName
(Optionally) annotates the command name of the query.
Help
Annotates a help message to the argument and/or query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.inspections.component
Class
Description
Argument
Annotates a member variable to be an query argument.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.inspections.eclipse
Class
Description
Argument
Annotates a member variable to be an query argument.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.inspections.finalizer
Class
Description
Argument
Annotates a member variable to be an query argument.
Category
Annotates the category to which the query belongs.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.inspections.osgi
Class
Description
Argument
Annotates a member variable to be an query argument.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.inspections.threads
Class
Description
Argument
Annotates a member variable to be an query argument.
Category
Annotates the category to which the query belongs.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.internal.snapshot
Class
Description
Argument.Advice
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.internal.snapshot.inspections
Class
Description
Argument
Annotates a member variable to be an query argument.
Category
Annotates the category to which the query belongs.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Menu
Annotates a query which has multiple menu items for a single query class.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.jdt
Class
Description
Argument
Annotates a member variable to be an query argument.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.query
Class
Description
Argument.Advice
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.query.annotations
Class
Description
Argument.Advice
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.query.annotations.descriptors
Class
Description
Argument.Advice
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.query.registry
Class
Description
Argument.Advice
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.report.internal
Class
Description
Argument
Annotates a member variable to be an query argument.
Category
Annotates the category to which the query belongs.
CommandName
(Optionally) annotates the command name of the query.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.ui.internal.acquire
Class
Description
Argument.Advice
Optional advice for the query argument that is needed if the declaring type does not give enough evidence how to convert or validate this argument.
Classes in org.eclipse.mat.query.annotations used by org.eclipse.mat.ui.snapshot.actions
Class
Description
Argument
Annotates a member variable to be an query argument.
HelpUrl
Annotates a help URL path into the Eclipse help system.
Icon
Annotates the icon of the query.